<div class="content">
    <div class="header"><h1>Accesos</h1></div>
    <form class="form" method="post">
      <div class="form-column">
        <div class="qr" id="qrImage">
          <div *ngIf="logoQr"><img src="../../../assets/img/codigo-qr.png" width="120" height="120" alt="qr"/></div>
          <qr-code [value]="acceso.token" size="130" errorCorrectionLevel="M"></qr-code>
        </div>
      <label for="nombre">Nombre del visitante:</label>
      <input type="text" [(ngModel)]="acceso.nombre" name="nombre" id="nombre" onkeydown="return /[a-zA-ZñÑÁÉÍÓÚáéíóú, ]/i.test(event.key)" maxlength="100"/>

      <label for="cantidad">Cantidad de visitantes:</label>
      <select [(ngModel)]="acceso.cantidad" name="cantidad">
        @for(cantidad of cantidades; track cantidad){
          <option value="{{cantidad}}">{{cantidad}}</option>
        }
      </select>

      <label for="tipo">Tipo de acceso:</label>
      <select [(ngModel)]="acceso.tipo" name="tipo">
        @for(tipo of tipoAcceso; track tipo){
          <option value="{{tipo}}">{{tipo}}</option>
        }
      </select>
      <span class="nota">Los QR tienen una vigencia máximo de 3 hrs.</span>
      </div>
      <div class="botones">
        <button (click)="guardar()">Generar acceso</button>
        <button (click)="captureScreen()" *ngIf="compartir">Compartir</button>
      </div>
    </form>
</div>